
QGIS Application - Bug report #481

Incorrect point placement

2006-12-22 11:15 PM - Redmine Admin

Status: Closed

Priority: Low

Assignee: nobody -

Category: Projection Support

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10540

Description

I am using QGIS to project pointfiles onto a map of Australia. The map I am using is the shapefile published by Geosciences Australia (

www.ga.gov.au). The points I am importing are decimal latitude/longitude points (see below signature), imported using the text importer.

What happens is that some or all of the points are imported with the latitude sign inverted (ie, from - to +), placing the points above the

equator instead of below.

If I import the delimited text file with no header row, then the sign inversion happens on the first entry only. If I import the text file with a

header row, then the inversion is applied to all of the latitude entries.

History

#1 - 2006-12-23 12:14 AM - Gavin Macaulay -

Works for me. A couple of things:

The delimited text plugin requires a header row. If you don't have one, it will take the first row as the header regardless.

Multiple consecutive delimiters will result in multiple columns of blank data (it wasn't clear from your example text file whether the delimiter was a tab or

multiple spaces).

#2 - 2007-01-01 08:06 PM - Gavin Macaulay -

Some more details are in ticket #482

#3 - 2007-02-25 07:41 PM - Tim Sutton

Moved to milestone 0.8.2 since we wont be fixing any further issues before the 0.8.1 release

#4 - 2008-07-10 10:57 AM - Maciej Sieczka -

What is the status of the issue in a recent QGIS version?

#5 - 2009-07-10 07:32 AM - Giovanni Manghi

I made a test, and I cannot reproduce the problem, but I would like to ear feedback as a) I didn't used the same platform/qgis version (ubuntu 9.04 and qgis
1.2 from trunk) and b) I'm not sure I used the same sample data/RS.

a) I downloaded the "Australian Land Tenure 1993" shapefile from the described site

b) Set the CRS o "AGD66" as stated in the metadata

c) created a csv file with a few points (attached)

d) tried to import -> all ok

#6 - 2009-07-17 06:07 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

Closing this ticket for lasck of feedback and because it seems to work correctly now. Reopen if necessary.

Files

australia.csv 45 Bytes 2009-07-10 Giovanni Manghi
